
-- @Author: Ragman2414
-- @Date: 04.12.2021
-- @Version: 1.0.0.0

--g_cruiseControlAxis = {}
--g_cruiseControlAxis.isActive = false;

function init()

    if g_specializationManager:getSpecializationByName("sowFertilizer") == nil then
        g_specializationManager:addSpecialization("sowFertilizer", "SowFertilizer", Utils.getFilename("sowFertilizerOption.lua",g_currentModDirectory), true, nil);

        for vehicleType, vehicle in pairs(g_vehicleTypeManager.types) do

            if vehicle ~= nil then
                for name in pairs(vehicle.specializationsByName) do
                    if string.lower(name) == "fertilizingsowingmachine" then
                        local specializationObject = g_specializationManager:getSpecializationObjectByName("sowFertilizer");

                        if vehicle.specializationsByName["sowFertilizer"] == nil then
                            vehicle.specializationsByName["sowFertilizer"] = specializationObject;
                            table.insert(vehicle.specializationNames, "sowFertilizer");
                            table.insert(vehicle.specializations, specializationObject);
                        end;

                    end;

                end;
            end;
        end;
    end
end

init()
;